6.0.0-git
2019-06-20

[#9855] Ensure Horde_Service_Twitter supports the twitter API and isn't just bound to twitter.com
Summary Ensure Horde_Service_Twitter supports the twitter API and isn't just bound to twitter.com
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester jon (at) sprig (dot) gs
Created 2011-04-08 (2995 days ago)
Due
Updated 2011-04-21 (2982 days ago)
Assigned
Resolved
Milestone
Patch No

History
2011-04-21 14:33:30 Michael Rubinsky Comment #5
State ⇒ Accepted
Reply to this comment
Makes sense to me, though honestly this would be fairly low on my 
list. Patches would be most welcome :)
2011-04-13 08:31:18 jon (at) sprig (dot) gs Comment #4 Reply to this comment
To answer Chuck's question first, I think that if you can support 
both, then that would be good, but as long as the site knows how to 
talk out to any Twitter-like API, then that would be good (for 
example, posting to my SN instance when I put a new photo into Ansel).

In response to Michael's comment:

"FWIW, I think it makes sense to add this to Service_Twitter (though 
according to the docs pointed to by the OP, there are some 
differences/omissions in the API)."

I agree. If you have any issues with the API, the various support 
methods listed at http://status.net/support should be able to help you.

"Though unless we only want to support a single twitter-like API per 
installation, this would be a bit more work, and would require the 
admin to make some changes in code."

Personally, this is where I saw it occurring - presumably, to get a 
user to connect to Twitter, they click a button which says "something 
something Twitter"? Could there be an equivelent which says "Something 
something Social Network" and then asks for the site when clicking on 
it (similar to the OpenID dialogues on sites like Stack Overflow) - 
doing it this way means you can also add other Social Networks with 
relative ease - Buzz, Ping, OneSocialWeb etc.

I know I'm asking for a lot with this, and there's no way I want this 
to hamper any other project work, but I'd just like to stick a line in 
the sand so that it doesn't get lost at some point down the line.
2011-04-13 04:31:42 Michael Rubinsky Comment #3 Reply to this comment
FWIW, I think it makes sense to add this to Service_Twitter (though 
according to the docs pointed to by the OP, there are some 
differences/omissions in the API).

I also think it would be a nice ability for Horde to be able to 
communicate with *any* twitter-like API. Though unless we only want to 
support a single twitter-like API per installation, this would be a 
bit more work, and would require the admin to make some changes in 
code. Either adding or modifying services/twitter/, adding the prefs 
group for the new service(s) etc... Then there is the question of 
which API to use in which situation...
2011-04-13 03:37:51 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
Are you asking for the framework library to support this, the twitter 
block in the Horde UI, or both?
2011-04-08 22:20:33 jon (at) sprig (dot) gs Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Ensure Horde_Service_Twitter supports the twitter API and isn't just bound to twitter.com
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
The Twitter API is in use in more places than just Twitter. By 
permitting the BaseURL to be changed from http(s)://twitter.com to any 
base URL (e.g. http://jon.sprig.gs/api), you allow many more sites to 
be accessible to interfacing than just twitter.com

The primary service I've seen supporting the twitter API is StatusNet 
(at http://status.net) with it's reference implementation at 
http://identi.ca.

Web hosts such as Dreamhost and SourceForge have one-click installers 
of SN and thus may be deployed in situations where it may be 
favourable to have horde directly interface with a SN instance

Saved Queries